Public Attributes | List of all members
ble_gapc_evt_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Connection Control » Structures

BLE GAPC event structure. More...

`#include <ble_gapc.h>`

Collaboration diagram for ble_gapc_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection. More...
union {
ble_gap_evt_phy_update_t phy_update
| PHY update parameters. More...
ble_gap_evt_connected_t connected
| Connection parameters. More...
ble_gap_evt_disconnected_t disconnected
| Disconnection parameters. More...
ble_gap_evt_peer_name_get_t peer_name
| Peer device name indication parameters. More...
ble_gap_evt_peer_info_t peer_info
| Peer info indication parameters. More...
ble_gap_evt_conn_param_updated_t conn_param_updated
| Connection parameter updated parameters. More...
ble_gap_evt_conn_param_update_req_t conn_param_update_req
| Connection parameter update request parameters. More...
ble_gap_evt_conn_info_t conn_info
| Connection info parameters. More...
ble_gap_evt_data_length_t data_length
| Data Length Update parameter. More...
ble_gap_evt_dev_info_set_t dev_info_ind
| Device info parameters. More...
ble_gap_evt_conn_iq_report_t conn_iq_report
| Connection IQ Report info parameters. More...
ble_gap_evt_connless_iq_report_t connless_iq_report
| Connectionless IQ Report info parameters. More...
ble_gap_evt_local_tx_pwr_read_ind_t local_tx_pwr_read
| Local transmit power read indication info parameters. More...
ble_gap_evt_remote_tx_pwr_read_ind_t remote_tx_pwr_read
| Remote transmit power read indication info parameters. More...
ble_gap_evt_tx_pwr_change_report_t tx_pwr_change_report
| Transmit power change reporting info parameters. More...
ble_gap_evt_path_loss_threshold_report_t path_loss_threshold_reoprt
| Path loss threshold reporting info parameters. More...
ble_gap_evt_ranging_ind_t ranging_ind
ble_gap_evt_ranging_sample_report_ind_t ranging_sample_report
ble_gap_evt_ranging_cmp_ind_t ranging_cmp_ind
ble_gap_evt_subrate_chg_ind_t subrate_chg_ind
} | params
| Event Parameters. More...

## Detailed Description

BLE GAPC event structure.

Definition at line 901 of file ble_gapc.h.

## Member Data Documentation

## ◆ conn_info

ble_gap_evt_conn_info_t ble_gapc_evt_t::conn_info

Connection info parameters.

Definition at line 913 of file ble_gapc.h.

## ◆ conn_iq_report

ble_gap_evt_conn_iq_report_t ble_gapc_evt_t::conn_iq_report

Connection IQ Report info parameters.

Definition at line 916 of file ble_gapc.h.

## ◆ conn_param_update_req

ble_gap_evt_conn_param_update_req_t ble_gapc_evt_t::conn_param_update_req

Connection parameter update request parameters.

Definition at line 912 of file ble_gapc.h.

## ◆ conn_param_updated

ble_gap_evt_conn_param_updated_t ble_gapc_evt_t::conn_param_updated

Connection parameter updated parameters.

Definition at line 911 of file ble_gapc.h.

## ◆ connected

ble_gap_evt_connected_t ble_gapc_evt_t::connected

Connection parameters.

Definition at line 907 of file ble_gapc.h.

## ◆ connless_iq_report

ble_gap_evt_connless_iq_report_t ble_gapc_evt_t::connless_iq_report

Connectionless IQ Report info parameters.

Definition at line 917 of file ble_gapc.h.

## ◆ data_length

ble_gap_evt_data_length_t ble_gapc_evt_t::data_length

Data Length Update parameter.

Definition at line 914 of file ble_gapc.h.

## ◆ dev_info_ind

ble_gap_evt_dev_info_set_t ble_gapc_evt_t::dev_info_ind

Device info parameters.

Definition at line 915 of file ble_gapc.h.

## ◆ disconnected

ble_gap_evt_disconnected_t ble_gapc_evt_t::disconnected

Disconnection parameters.

See BLE Stack specific error codes.

Definition at line 908 of file ble_gapc.h.

## ◆ index

uint8_t ble_gapc_evt_t::index

Index of connection.

Definition at line 903 of file ble_gapc.h.

## ◆ local_tx_pwr_read

ble_gap_evt_local_tx_pwr_read_ind_t ble_gapc_evt_t::local_tx_pwr_read

Local transmit power read indication info parameters.

Definition at line 918 of file ble_gapc.h.

## ◆ params

union { ... } ble_gapc_evt_t::params

Event Parameters.

## ◆ path_loss_threshold_reoprt

ble_gap_evt_path_loss_threshold_report_t ble_gapc_evt_t::path_loss_threshold_reoprt

Path loss threshold reporting info parameters.

Definition at line 921 of file ble_gapc.h.

## ◆ peer_info

ble_gap_evt_peer_info_t ble_gapc_evt_t::peer_info

Peer info indication parameters.

Definition at line 910 of file ble_gapc.h.

## ◆ peer_name

ble_gap_evt_peer_name_get_t ble_gapc_evt_t::peer_name

Peer device name indication parameters.

Definition at line 909 of file ble_gapc.h.

## ◆ phy_update

ble_gap_evt_phy_update_t ble_gapc_evt_t::phy_update

PHY update parameters.

Definition at line 906 of file ble_gapc.h.

## ◆ ranging_cmp_ind

ble_gap_evt_ranging_cmp_ind_t ble_gapc_evt_t::ranging_cmp_ind

Definition at line 924 of file ble_gapc.h.

## ◆ ranging_ind

ble_gap_evt_ranging_ind_t ble_gapc_evt_t::ranging_ind

Definition at line 922 of file ble_gapc.h.

## ◆ ranging_sample_report

ble_gap_evt_ranging_sample_report_ind_t ble_gapc_evt_t::ranging_sample_report

Definition at line 923 of file ble_gapc.h.

## ◆ remote_tx_pwr_read

ble_gap_evt_remote_tx_pwr_read_ind_t ble_gapc_evt_t::remote_tx_pwr_read

Remote transmit power read indication info parameters.

Definition at line 919 of file ble_gapc.h.

## ◆ subrate_chg_ind

ble_gap_evt_subrate_chg_ind_t ble_gapc_evt_t::subrate_chg_ind

Definition at line 925 of file ble_gapc.h.

## ◆ tx_pwr_change_report

ble_gap_evt_tx_pwr_change_report_t ble_gapc_evt_t::tx_pwr_change_report

Transmit power change reporting info parameters.

Definition at line 920 of file ble_gapc.h.

The documentation for this struct was generated from the following file:

- ble_gapc.h